plugins {
    id 'java'
    id 'io.spring.dependency-management' version '1.1.7' apply false
    id 'org.springframework.boot' version '3.5.7' apply false
}

group = 'com.cd.detection'
version = '0.0.1-SNAPSHOT'

java {
    toolchain {
        languageVersion = JavaLanguageVersion.of(21)
    }
}

repositories {
    mavenCentral()
}

subprojects {
    apply plugin: 'java'

    repositories {
        mavenCentral()
    }
}